Skip to main content
POST
/
video
/
quote
/api/v1/video/quote
curl --request POST \
  --url https://api.venice.ai/api/v1/video/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "wan-2-7-text-to-video",
  "duration": "5s",
  "aspect_ratio": "16:9",
  "resolution": "720p",
  "upscale_factor": 2,
  "audio": true,
  "video_url": "data:video/mp4;base64,AAAAFGZ0eXA..."
}
'
{
  "quote": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for video price quote. Available fields and valid values vary by model.

model
string
required

The model to get a price quote for.

Example:

"wan-2-7-text-to-video"

duration
enum<string>
required

The duration of the video. Available options vary by model.

Available options:
2s,
3s,
4s,
5s,
6s,
7s,
8s,
9s,
10s,
11s,
12s,
13s,
14s,
15s,
16s,
18s,
20s,
25s,
30s,
Auto
Example:

"5s"

aspect_ratio
enum<string>

The aspect ratio. Required for some models with megapixel-rate pricing.

Available options:
1:1,
2:3,
3:2,
3:4,
4:3,
9:16,
16:9,
21:9
Example:

"16:9"

resolution
enum<string>

The resolution. Required for models with duration-resolution-rate pricing.

Available options:
256p,
360p,
480p,
540p,
580p,
720p,
1080p,
1440p,
2160p,
4k,
2x,
4x
Example:

"720p"

upscale_factor
enum<integer>

For upscale models only.

Available options:
1,
2,
4
Example:

2

audio
boolean
default:true

For models which support audio generation and configuration. Defaults to true.

Example:

true

video_url
string

For upscale models, the video to upscale. Required to auto-detect duration for pricing.

Example:

"data:video/mp4;base64,AAAAFGZ0eXA..."

Response

Video generation price quote

quote
number
required